#
# spec file for package dracut
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define dracutlibdir %{_libexecdir}/dracut

Name:           dracut
Version:        037
Release:        49.1
Summary:        Initramfs generator using udev
License:        GPL-2.0+ and LGPL-2.1+
Group:          System/Base
Url:            https://dracut.wiki.kernel.org/
Source0:        http://www.kernel.org/pub/linux/utils/boot/dracut/dracut-%{version}.tar.xz
Source3:        mkinitrd_setup_dummy
Source4:        purge-kernels
Source5:        purge-kernels.service
Source6:        dracut-installkernel
Patch1:         dracut_v37_to_HEAD.patch
Patch11:        0011-Correct-paths-for-openSUSE.patch
Patch12:        0012-Check-for-plymouth-lib-directories.patch
Patch13:        0013-mkinitrd-suse-do-not-update-bootloader-if-no-kernel-.patch
Patch14:        0014-Update-dracut-manpage-for-GRUB-Legacy-and-GRUB2.patch
Patch15:        0015-40network-replace-dhclient-with-wickedd-dhcp-supplic.patch
Patch16:        0016-Add-new-s390x-specific-rule-files.patch
Patch17:        0017-45ifcfg-use-distro-specific-scripts.patch
Patch18:        0018-mkinitrd-suse-Fix-whitespaces-when-adding-drivers.patch
Patch19:        0019-40network-Fix-race-condition-when-wait-for-networks.patch
Patch20:        0020-00warpclock-Set-correct-timezone.patch
Patch21:        0021-95dcssblk-Add-new-module-for-DCSS-block-devices.patch
Patch22:        0022-95udev-rules-add-persistent-network-rule.patch
Patch23:        0023-systemd-always-tries-to-load-autofs4.patch
Patch24:        0024-Fixup-mdraid-setup.patch
Patch25:        0025-95udev-rules-Add-59-scsi-sg_utils.rules.patch
Patch26:        0026-90multipath-add-67-kpartx-compat.rules.patch
Patch27:        0027-90multipath-install-dracut-specific-service-file.patch
Patch28:        0028-95udev-rules-Include-correct-sg3_utils-rules.patch
Patch29:        0029-90multipath-install-correct-multipath-rules.patch
Patch30:        0030-95iscsi-Autodetect-iSCSI-firmware.patch
Patch31:        0031-90multipath-Fixup-service-file-for-booting.patch
Patch32:        0032-mkinitrd-suse.sh-Use-hostonly-and-hostonly-cmdline-c.patch
Patch33:        0033-95iscsi-Set-correct-iscsi_started-value-for-iSCSI-fi.patch
Patch34:        0034-dracut-Do-not-stop-installing-drivers-if-one-fails.patch
Patch35:        0035-Introduce-force-drivers-parameter-and-force_drivers-.patch
Patch36:        0036-95fcoe-Store-current-configuration-in-dracut-cmdline.patch
Patch37:        0037-95fcoe-update-fcoe-interface-check.patch
Patch38:        0038-95fcoe-start-lldpad-separately.patch
Patch39:        0039-Remove-force-parameter-from-mkinitrd.patch
Patch40:        0040-95fcoe-skip-VLAN-devices-in-fcoe-up.patch
Patch41:        0041-mkinitd-suse-remove-hostonly-and-hostonly-cmdline.patch
Patch42:        0042-Enhance-suse.conf-example-with-SUSE-specific-setting.patch
Patch43:        0043-40network-always-add-network-module.patch
Patch44:        0044-Add-find-to-debug-binaries.patch
Patch45:        0045-40network-add-missing-_arch-variable-declaration.patch
Patch46:        0046-dracut-Do-not-wait-for-swap-device.patch
Patch47:        0047-95resume-skip-module-for-s390-x.patch
Patch48:        0048-40network-Only-enable-network-interfaces-if-explicit.patch
Patch49:        0049-95iscsi-Use-ip-ibft-for-ibft-autoconfiguration.patch
Patch50:        0050-95iscsi-strip-one-set-of-quotes-when-calling-initque.patch
Patch51:        0051-mkinitrd-suse-add-update-bootloader-message.patch
Patch52:        0052-99base-Add-chown-binary.patch
Patch53:        0053-01fips-fixup-loading-issues.patch
Patch54:        0054-95iscsi-update-commandline-printing.patch
Patch55:        0055-95fcoe-Only-install-fcoe-module-if-required.patch
Patch56:        0056-81cio_ignore-handle-cio_ignore-commandline.patch
Patch57:        0057-01fips-Include-some-more-hmacs.patch
Patch58:        0058-dracut-add-warning-when-including-unsupported-module.patch
Patch59:        0059-99suse-Add-SUSE-specific-initrd-parsing.patch
Patch60:        0060-45ifcfg-Add-SUSE-specific-write-ifcfg-file.patch
Patch61:        0061-45ifcfg-Fixup-error-message-in-write-ifcfg-suse.patch
Patch62:        0062-95iscsi-Install-libgcc_s-library.patch
Patch63:        0063-90multipath-Install-libgcc_s-library.patch
Patch64:        0064-90kernel-modules-install-scsi_dh_alua.patch
Patch65:        0065-95iscsi-Fixup-bnx2i-offload-booting.patch
Patch66:        0066-40network-always-start-netroot-in-ifup.sh.patch
Patch67:        0067-95fcoe-check-always-returns-255.patch
Patch68:        0068-95fcoe-uefi-Test-for-EFI-firmware.patch
Patch69:        0069-81cio_ignore-skip-module-if-cio_ignore-is-not-active.patch
Patch70:        0070-81cio_ignore-rewrite-module.patch
Patch71:        0071-Fix-non-export-of-journal-dev-boot-options.patch
Patch72:        0072-Also-export-root-boot-param-for-hostonly-cmdline-cas.patch
Patch73:        0073-Don-t-create-lots-of-empty-cmdline-files-for-hostonl.patch
Patch74:        0074-More-empty-cmdline-fixes.patch
Patch75:        0075-95dasd_rules-enable-parsing-of-rd.dasd-commandline-p.patch
Patch76:        0076-Correctly-set-cio_ignore-for-dynamic-s390-rules.patch
Patch77:        0077-90multipath-add-missing-11-dm-mpath.rules-file.patch
Patch78:        0078-Restore-original-IFS-value.patch
Patch79:        0079-95dasd_rules-fixup-rd.dasd-parsing.patch
Patch80:        0080-95dasd_rules-print-out-rd.dasd-commandline.patch
Patch81:        0081-95dasd_mod-do-not-set-module-parameters-if-dasd_cio_.patch
Patch82:        0082-00warpclock-check-for-sbin-hwclock.patch
Patch83:        0083-95zfcp_rules-Fixup-rd.zfcp-parsing.patch
Patch84:        0084-95rootfs-block-Correctly-terminate-commandline-param.patch
Patch85:        0085-95zfcp_rules-print-out-rd.zfcp-commandline-parameter.patch
Patch86:        0086-95zfcp_rules-Auto-generate-udev-rule-for-ipl-device.patch
Patch87:        0087-95dasd_rules-Auto-generate-udev-rule-for-ipl-device.patch
Patch88:        0088-91zipl-Add-new-module-to-update-s390x-configuration.patch
Patch89:        0089-40network-create-var-lib-wicked-in-ifup.sh.patch
Patch90:        0090-dracut-caps-Remove-whole-caps-module.patch
Patch91:        0091-dracut-biosdevname-In-SUSE-biosdevname-package-is-in.patch
Patch92:        0092-dracut-nbd-Only-complain-of-missing-binary-in-hoston.patch
Patch93:        0093-95iscsi-generate-commandline-for-software-iscsi.patch
Patch94:        0094-Implement-shortcut-ip-ifname-static-for-static-confi.patch
Patch95:        0095-95iscsi-use-static-configuration-for-software-iscsi.patch
Patch96:        0096-dracut-Fix-error-local-can-only-be-used-in-a-functio.patch
Patch97:        0097-Implement-rd.timeout-to-modify-the-device-timeout.patch
Patch98:        0098-Do-not-call-lvm-for-non-LVM-device-mapper-devices.patch
Patch99:        0099-90multipath-Load-device_handler-modules-early-during.patch
Patch100:       0100-Add-btrfs-rescue-utilities.patch
Patch101:       0101-Print-stored-dracut-commandline-during-initramfs-bui.patch
Patch102:       0102-Align-dev_unit_name-with-systemd-s-function.patch
Patch103:       0103-Fixup-missing-separators-in-rootfs-block-cmdline.patch
Patch104:       0104-Generate-fallback-mount-unit-for-root-filesystem.patch
Patch105:       0105-95iscsi-parse-output-from-iscsiadm-correctly.patch
Patch106:       0106-dracut-Enable-converting-of-directory-var-run-var-lo.patch
Patch107:       0107-Fixup-typo-firmare-instead-of-firmware.patch
Patch108:       0108-91zipl-Store-commandline-correctly.patch
Patch109:       0109-95dasd_rules-Store-all-devices-in-commandline.patch
Patch110:       0110-95zfcp_rules-Store-all-devices-in-commandline.patch
Patch111:       0111-90mdraid-Remove-line-for-offroot-detection.patch
Patch112:       0112-99base-warn-on-invalid-command-for-initqueue.patch
Patch113:       0113-91zipl-Install-script-as-executable.patch
Patch114:       0114-91zipl-Translate-ext2-3-into-ext4.patch
Patch115:       0115-Handle-module-alias-properly.patch
Patch116:       0116-Mark-scripts-as-executable.patch
Patch117:       0117-95dasd_rules-Enable-the-device-before-checking-devic.patch
Patch118:       0118-95zfcp_rules-Enable-the-device-before-checking-devic.patch
Patch119:       0119-Reset-IFS-variable.patch
Patch120:       0120-mkinitrd-suse.sh-Bail-out-with-exit-1-if-initrd-cann.patch
Patch121:       0121-Adjust-initramfs-kernel.img-to-SUSE-default-initrd-k.patch
Patch122:       0122-btrfs-btrfs-dump-super-and-btrfs-select-super-do-not.patch
Patch123:       0123-95zfcp_rules-fix-typo-in-module_setup.patch
Patch124:       0124-40network-Update-iBFT-scanning-code-to-handle-IPv6.patch
Patch125:       0125-40network-separate-mask-and-prefix.patch
Patch126:       0126-01fips-Add-drbg-module-to-force-loaded-modules.patch
Patch127:       0127-99base-Increase-initqueue-timeout-in-non-systemd-cas.patch
Patch128:       0128-90lvm-Install-dm-snapshot-module.patch
Patch129:       0129-Revert-commit-6ecab258710d158a7a6-and-only-do-not-wa.patch
Patch130:       0130-nfs-Always-add-all-kernel-modules-for-kdump.patch
Patch131:       0131-40network-handle-prefixed-IP-addresses-correctly.patch
Patch132:       0132-40network-fixup-static-network-configuration.patch
Patch133:       0133-Allow-multiple-configurations-per-network-interface-.patch
Patch134:       0134-Remove-bootdev-warning-bnc-881112.patch
Patch135:       0135-lvm-Fix-12819a579900b9691e2-check-for-existance-of-6.patch
Patch136:       0136-Revert-95udev-rules-add-persistent-network-rule.patch
Patch137:       0137-Switch-from-Mozilla-NSS-sha256hmac-checking-to-fipsc.patch
Patch138:       0138-warpclock-Do-not-use-warpclock-module-on-S390-x-hwcl.patch
Patch139:       0139-dracut.sh-check-for-logfile-logfile-option-and-creat.patch
Patch140:       0140-dracut.sh-Avoid-duplicate-devices-in-host_devs.patch
Patch141:       0141-iscsi-Avoid-bad-ip-route-call-on-empty-address.patch
Patch142:       0142-40network-Don-t-report-error-for-etc-sysconfig-netwo.patch
Patch143:       0143-iscsi-Fix-up-ipv6-in-brackets-iterate-over-all-possi.patch
Patch144:       0144-90crypt-Fixed-crypttab_contains-to-also-work-with-de.patch
Patch145:       0145-40network-handle-ip-ifname-static-correctly.patch
Patch146:       0146-dracut.sh-corrected-logfile-check.patch
Patch147:       0147-dracut.sh-Fix-UUID-fstab-parsing-in-case-mount-optio.patch
Patch148:       0148-dracut.sh-Fix-LABEL-and-other-fstab-syntax.patch
Patch149:       0149-dracut.sh-Fix-fstab-parsing-again.patch
Patch150:       0150-Find-kernel-modules-in-extra-and-weak-updates-path-a.patch
Patch151:       0151-Go-back-to-xz-again-pixz-may-use-too-much-memory-whi.patch
Patch152:       0152-Add-a-comment-to-easily-add-debug-modules-also-add-v.patch
Patch153:       0153-Only-add-network-module-on-request-and-on-dependenci.patch
Patch154:       0154-resume-Also-allow-this-module-on-S390-again-s2disk-c.patch
Patch155:       0155-iscsi-iscsi.initiator-and-others-can-and-must-only-s.patch
Patch156:       0156-dracut.usage.asc-Remove-distro-specific-help-from-ma.patch
Patch157:       0157-Add-boot-zipl-to-host-devs-if-it-is-a-mount-point.patch
Patch158:       0158-Add-SUSE-kernel-module-dependencies-in-etc-modprobe..patch
Patch159:       0159-network-Try-to-load-xennet.patch
Patch160:       0160-nfs-Add-ip-.-and-root-nfs.-parameters-to-internal-dr.patch
Patch161:       0161-Fix-error-message-when-there-are-no-internal-kernel-.patch
Patch162:       0162-network-Request-DHCP-lease-instead-of-getting-applyi.patch
Patch163:       0163-Install-etc-sysconfig-console-to-see-specific-fonts.patch
Patch164:       0164-Fix-initramfs-ver.img-vs-initrd-ver-in-dracut-initra.patch
Patch165:       0165-Order-root-fsck-after-pre-mount.patch
Patch166:       0166-nfs-Add-ifname-dev-mac-to-boot-parameters.patch
Patch167:       0167-98systemd-rootfs-generator-Use-builtins-instead-of-g.patch
Patch168:       0168-convertrunfs-Fix-typo.patch
Patch169:       0169-Enabled-Warning-for-failed-kernel-modules-per-defaul.patch
Patch171:       0171-also-add-the-cmac.ko-cryptographic-module-to-the-mod.patch
Patch172:       0172-10i18n-module-setup.sh-For-FONT_MAP-also-check-wheth.patch
Patch173:       0173-Follow-symbolic-links-for-kernel-arguments-bnc-90237.patch
Patch174:       0174-fips-enable-aesni-interl.patch
Patch175:       0175-dracut-Fix-bad-array-subscript-messages.patch
Patch176:       0176-Parse-rootflags-correctly.patch
Patch177:       0177-90multipath-start-multipathd-after-udev.patch
Patch178:       0178-Restore-handling-of-c.patch
Patch179:       0179-qemu-add-virtio_rng-kernel-module.patch

BuildRequires:  asciidoc
BuildRequires:  bash
BuildRequires:  docbook-xsl-stylesheets
BuildRequires:  libxslt
BuildRequires:  suse-module-tools
BuildRequires:  pkgconfig(systemd) >= 199
Requires:       bash
Requires:       coreutils
Requires:       cpio
Requires:       file
Requires:       filesystem
Requires:       findutils
Requires:       grep
Requires:       hardlink
Requires:       modutils
Requires:       pigz
Requires:       sed
Requires:       systemd >= 200
# systemd-sysvinit provides: poweroff, reboot, halt
Requires:       systemd-sysvinit
Requires:       udev > 166
Requires:       util-linux >= 2.21
Requires:       xz
Recommends:     binutils
Recommends:     logrotate
Obsoletes:      mkinitrd < 2.8.2
Provides:       mkinitrd = 2.8.2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{?systemd_requires}

%description
Dracut contains tools to create a bootable initramfs for 2.6 Linux kernels.
Unlike existing implementations, dracut does hard-code as little as possible
into the initramfs. Dracut contains various modules which are driven by the
event-based udev. Having root on MD, DM, LVM2, LUKS is supported as well as
NFS, iSCSI, NBD, FCoE with the dracut-network package.

%package fips
Summary:        Dracut modules to build a dracut initramfs with an integrity check
Group:          System/Base
Requires:       %{name} = %{version}-%{release}
Requires:       fipscheck
Requires:       libcryptsetup4-hmac
Requires:       libgcrypt20-hmac

%description fips
This package requires everything which is needed to build an
initramfs with dracut, which does an integrity check of the kernel
and its cryptography during startup.

%prep
%setup -q
%patch1 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1
%patch25 -p1
%patch26 -p1
%patch27 -p1
%patch28 -p1
%patch29 -p1
%patch30 -p1
%patch31 -p1
%patch32 -p1
%patch33 -p1
%patch34 -p1
%patch35 -p1
%patch36 -p1
%patch37 -p1
%patch38 -p1
%patch39 -p1
%patch40 -p1
%patch41 -p1
%patch42 -p1
%patch43 -p1
%patch44 -p1
%patch45 -p1
%patch46 -p1
%patch47 -p1
%patch48 -p1
%patch49 -p1
%patch50 -p1
%patch51 -p1
%patch52 -p1
%patch53 -p1
%patch54 -p1
%patch55 -p1
%patch56 -p1
%patch57 -p1
%patch58 -p1
%patch59 -p1
%patch60 -p1
%patch61 -p1
%patch62 -p1
%patch63 -p1
%patch64 -p1
%patch65 -p1
%patch66 -p1
%patch67 -p1
%patch68 -p1
%patch69 -p1
%patch70 -p1
%patch71 -p1
%patch72 -p1
%patch73 -p1
%patch74 -p1
%patch75 -p1
%patch76 -p1
%patch77 -p1
%patch78 -p1
%patch79 -p1
%patch80 -p1
%patch81 -p1
%patch82 -p1
%patch83 -p1
%patch84 -p1
%patch85 -p1
%patch86 -p1
%patch87 -p1
%patch88 -p1
%patch89 -p1
%patch90 -p1
%patch91 -p1
%patch92 -p1
%patch93 -p1
%patch94 -p1
%patch95 -p1
%patch96 -p1
%patch97 -p1
%patch98 -p1
%patch99 -p1
%patch100 -p1
%patch101 -p1
%patch102 -p1
%patch103 -p1
%patch104 -p1
%patch105 -p1
%patch106 -p1
%patch107 -p1
%patch108 -p1
%patch109 -p1
%patch110 -p1
%patch111 -p1
%patch112 -p1
%patch113 -p1
%patch114 -p1
%patch115 -p1
%patch116 -p1
%patch117 -p1
%patch118 -p1
%patch119 -p1
%patch120 -p1
%patch121 -p1
%patch122 -p1
%patch123 -p1
%patch124 -p1
%patch125 -p1
%patch126 -p1
%patch127 -p1
%patch128 -p1
%patch129 -p1
%patch130 -p1
%patch131 -p1
%patch132 -p1
%patch133 -p1
%patch134 -p1
%patch135 -p1
%patch136 -p1
%patch137 -p1
%patch138 -p1
%patch139 -p1
%patch140 -p1
%patch141 -p1
%patch142 -p1
%patch143 -p1
%patch144 -p1
%patch145 -p1
%patch146 -p1
%patch147 -p1
%patch148 -p1
%patch149 -p1
%patch150 -p1
%patch151 -p1
%patch152 -p1
%patch153 -p1
%patch154 -p1
%patch155 -p1
%patch156 -p1
%patch157 -p1
%patch158 -p1
%patch159 -p1
%patch160 -p1
%patch161 -p1
%patch162 -p1
%patch163 -p1
%patch164 -p1
%patch165 -p1
%patch166 -p1
%patch167 -p1
%patch168 -p1
%patch169 -p1
%patch171 -p1
%patch172 -p1
%patch173 -p1
%patch174 -p1
%patch175 -p1
%patch176 -p1
%patch177 -p1
%patch178 -p1
%patch179 -p1

%build
%configure\
  --systemdsystemunitdir=%{_unitdir}\
  --bashcompletiondir=%{_sysconfdir}/bash_completion.d\
  --libdir=%{_prefix}/lib
make all -e CFLAGS="%{optflags}" %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}

echo -e "#!/bin/bash\nDRACUT_VERSION=%{version}-%{release}" > %{buildroot}/%{dracutlibdir}/dracut-version.sh

# we do not support dash in the initramfs
rm -fr %{buildroot}/%{dracutlibdir}/modules.d/00dash
rm -fr %{buildroot}/%{dracutlibdir}/modules.d/05busybox
rm -fr %{buildroot}/%{dracutlibdir}/modules.d/00bootchart

# remove gentoo specific modules
rm -fr %{buildroot}%{dracutlibdir}/modules.d/50gensplash

# IMA modules are not supported currently.
rm -fr %{buildroot}/%{dracutlibdir}/modules.d/96securityfs
rm -fr %{buildroot}/%{dracutlibdir}/modules.d/97masterkey
rm -fr %{buildroot}/%{dracutlibdir}/modules.d/98integrity

mkdir -p %{buildroot}/boot/dracut
mkdir -p %{buildroot}%{_localstatedir}/lib/dracut/overlay
mkdir -p %{buildroot}%{_localstatedir}/log
touch %{buildroot}%{_localstatedir}/log/dracut.log

install -m 0644 dracut.conf.d/suse.conf.example   %{buildroot}%{_sysconfdir}/dracut.conf.d/01-dist.conf

install -m 0644 dracut.conf.d/fips.conf.example %{buildroot}%{_sysconfdir}/dracut.conf.d/40-fips.conf

%ifarch %ix86 x86_64
echo 'early_microcode="yes"' > %{buildroot}%{_sysconfdir}/dracut.conf.d/02-early-microcode.conf
%endif
rm %{buildroot}%{_bindir}/mkinitrd
# moved to /sbin
mkdir -p %{buildroot}/sbin
install -m 0755 mkinitrd-suse.sh %{buildroot}/sbin/mkinitrd
mv %{buildroot}%{_mandir}/man8/mkinitrd-suse.8 %{buildroot}%{_mandir}/man8/mkinitrd.8
install -m 0755 %{SOURCE3} %{buildroot}/sbin/mkinitrd_setup

mkdir -p %{buildroot}%{_sysconfdir}/logrotate.d
install -m 0644 dracut.logrotate %{buildroot}%{_sysconfdir}/logrotate.d/dracut

install -D -m 0755 %{SOURCE4} %{buildroot}/sbin/purge-kernels
install -m 644 %{SOURCE5} %{buildroot}/%{_unitdir}/purge-kernels.service

install -D -m 0755 %{SOURCE6} %{buildroot}/sbin/installkernel

%if 0%{?suse_version}
rm -f %{buildroot}/%{dracutlibdir}/modules.d/45ifcfg/write-ifcfg.sh
ln -s %{dracutlibdir}/modules.d/45ifcfg/write-ifcfg-suse.sh %{buildroot}/%{dracutlibdir}/modules.d/45ifcfg/write-ifcfg.sh
%else
mv %{buildroot}/%{dracutlibdir}/modules.d/45ifcfg/write-ifcfg.sh %{buildroot}/%{dracutlibdir}/modules.d/45ifcfg/write-ifcfg-redhat.sh
ln -s %{dracutlibdir}/modules.d/45ifcfg/write-ifcfg-redhat.sh %{buildroot}/%{dracutlibdir}/modules.d/45ifcfg/write-ifcfg.sh
%endif

%pre
%service_add_pre purge-kernels.service

%post
%service_add_post purge-kernels.service
%{?regenerate_initrd_post}

%post fips
%{?regenerate_initrd_post}

%preun
%service_del_preun purge-kernels.service

%postun
%service_del_postun purge-kernels.service
%{?regenerate_initrd_post}

%postun fips
%{?regenerate_initrd_post}

%posttrans
%{?regenerate_initrd_posttrans}

%posttrans fips
%{?regenerate_initrd_posttrans}

%files fips
%defattr(-,root,root,0755)
%doc COPYING
%config %{_sysconfdir}/dracut.conf.d/40-fips.conf
%{dracutlibdir}/modules.d/01fips
%{dracutlibdir}/modules.d/02fips-aesni

%files
%defattr(-,root,root,0755)
%doc README HACKING TODO COPYING AUTHORS NEWS dracut.html dracut.png dracut.svg
%{_bindir}/dracut
%{_bindir}/dracut-catimages
%{_bindir}/lsinitrd
/sbin/purge-kernels
/sbin/installkernel
/sbin/mkinitrd
/sbin/mkinitrd_setup
%config %{_sysconfdir}/bash_completion.d/lsinitrd
%dir %{dracutlibdir}
%dir %{dracutlibdir}/modules.d
%{dracutlibdir}/skipcpio
%{dracutlibdir}/dracut-functions.sh
%{dracutlibdir}/dracut-functions
%{dracutlibdir}/dracut-version.sh
%{dracutlibdir}/dracut-logger.sh
%{dracutlibdir}/dracut-initramfs-restore
%{dracutlibdir}/dracut-install
%config(noreplace) %{_sysconfdir}/dracut.conf
%if 0%{?fedora} || 0%{?suse_version} || 0%{?rhel}
%config %{_sysconfdir}/dracut.conf.d/01-dist.conf
%endif
%ifarch %ix86 x86_64
%config %{_sysconfdir}/dracut.conf.d/02-early-microcode.conf
%endif
%dir %{_sysconfdir}/dracut.conf.d
%{_mandir}/man8/dracut.8*
%{_mandir}/man8/mkinitrd.8*
%{_mandir}/man1/lsinitrd.1*
%{_mandir}/man7/dracut.kernel.7*
%{_mandir}/man7/dracut.cmdline.7*
%{_mandir}/man7/dracut.bootup.7*
%{_mandir}/man7/dracut.modules.7*
%{_mandir}/man8/dracut-cmdline.service.8*
%{_mandir}/man8/dracut-initqueue.service.8*
%{_mandir}/man8/dracut-pre-pivot.service.8*
%{_mandir}/man8/dracut-pre-trigger.service.8*
%{_mandir}/man8/dracut-pre-udev.service.8*
%{_mandir}/man8/dracut-mount.service.8.*
%{_mandir}/man8/dracut-pre-mount.service.8.*
%{_mandir}/man8/dracut-shutdown.service.8.*
%{_mandir}/man5/dracut.conf.5*
%{_mandir}/man8/dracut-catimages.8*
%dir %{_libexecdir}/kernel
%dir %{_libexecdir}/kernel/install.d
%{_libexecdir}/kernel/install.d/50-dracut.install
%{_libexecdir}/kernel/install.d/51-dracut-rescue.install
%dir %{dracutlibdir}/modules.d/00systemd-bootchart
%dir %{dracutlibdir}/modules.d/03rescue
%{dracutlibdir}/modules.d/00bash
%{dracutlibdir}/modules.d/00systemd-bootchart/module-setup.sh
%{dracutlibdir}/modules.d/00warpclock
%{dracutlibdir}/modules.d/02caps
%{dracutlibdir}/modules.d/03modsign
%{dracutlibdir}/modules.d/03rescue/module-setup.sh
%{dracutlibdir}/modules.d/04watchdog
%{dracutlibdir}/modules.d/10i18n
%{dracutlibdir}/modules.d/30convertfs
%{dracutlibdir}/modules.d/40network
%{dracutlibdir}/modules.d/45url-lib
%{dracutlibdir}/modules.d/45ifcfg
%{dracutlibdir}/modules.d/50drm
%{dracutlibdir}/modules.d/50plymouth
%{dracutlibdir}/modules.d/80cms
%{dracutlibdir}/modules.d/81cio_ignore
%{dracutlibdir}/modules.d/90livenet
%{dracutlibdir}/modules.d/90qemu-net
%{dracutlibdir}/modules.d/90btrfs
%{dracutlibdir}/modules.d/90crypt
%{dracutlibdir}/modules.d/90dm
%{dracutlibdir}/modules.d/90dmraid
%{dracutlibdir}/modules.d/90dmsquash-live
%{dracutlibdir}/modules.d/90kernel-modules
%{dracutlibdir}/modules.d/90lvm
%{dracutlibdir}/modules.d/90mdraid
%{dracutlibdir}/modules.d/90multipath
%{dracutlibdir}/modules.d/90qemu
%{dracutlibdir}/modules.d/91crypt-gpg
%{dracutlibdir}/modules.d/91crypt-loop
%{dracutlibdir}/modules.d/91zipl
%{dracutlibdir}/modules.d/95znet
%{dracutlibdir}/modules.d/95fcoe-uefi
%{dracutlibdir}/modules.d/95nbd
%{dracutlibdir}/modules.d/95nfs
%{dracutlibdir}/modules.d/95ssh-client
%{dracutlibdir}/modules.d/95fcoe
%{dracutlibdir}/modules.d/95iscsi
%{dracutlibdir}/modules.d/95cifs
%{dracutlibdir}/modules.d/95debug
%{dracutlibdir}/modules.d/95resume
%{dracutlibdir}/modules.d/95rootfs-block
%{dracutlibdir}/modules.d/95dcssblk
%{dracutlibdir}/modules.d/95dasd
%{dracutlibdir}/modules.d/95dasd_mod
%{dracutlibdir}/modules.d/95dasd_rules
%{dracutlibdir}/modules.d/95fstab-sys
%{dracutlibdir}/modules.d/95zfcp
%{dracutlibdir}/modules.d/95zfcp_rules
%{dracutlibdir}/modules.d/95terminfo
%{dracutlibdir}/modules.d/95udev-rules
%{dracutlibdir}/modules.d/95virtfs
%{dracutlibdir}/modules.d/97biosdevname
%{dracutlibdir}/modules.d/98ecryptfs
%{dracutlibdir}/modules.d/98pollcdrom
%{dracutlibdir}/modules.d/98selinux
%{dracutlibdir}/modules.d/98syslog
%{dracutlibdir}/modules.d/98systemd
%{dracutlibdir}/modules.d/98usrmount
%{dracutlibdir}/modules.d/99base
%{dracutlibdir}/modules.d/99fs-lib
%{dracutlibdir}/modules.d/99img-lib
%{dracutlibdir}/modules.d/99shutdown
%{dracutlibdir}/modules.d/99suse
%{dracutlibdir}/modules.d/99uefi-lib

# executable fixups
%attr(0755,root,root) %{dracutlibdir}/modules.d/95dcssblk/parse-dcssblk.sh
%attr(0755,root,root) %{dracutlibdir}/modules.d/95dcssblk/module-setup.sh
%attr(0755,root,root) %{dracutlibdir}/modules.d/99suse/parse-suse-initrd.sh
%attr(0755,root,root) %{dracutlibdir}/modules.d/99suse/module-setup.sh
%attr(0755,root,root) %{dracutlibdir}/modules.d/30convertfs/convertrunfs.sh
%attr(0755,root,root) %{dracutlibdir}/modules.d/00warpclock/warpclock.sh

%config(noreplace) %{_sysconfdir}/logrotate.d/dracut
%attr(0644,root,root) %ghost %config(missingok,noreplace) %{_localstatedir}/log/dracut.log
%if %{defined _unitdir}
%dir %{_unitdir}/initrd.target.wants
%{_unitdir}/*.service
%{_unitdir}/*/*.service
%endif
%config %{_sysconfdir}/bash_completion.d/dracut
%dir /boot/dracut
%dir %{_localstatedir}/lib/dracut
%dir %{_localstatedir}/lib/dracut/overlay

%changelog
* Mon May 11 2015 trenn@suse.de
- Fix badly merged patch:
  0176-Parse-rootflags-correctly.patch
  bnc#930175
* Wed Apr  8 2015 hare@suse.de
- Restore handling of '-c' (bsc#886839)
- 90qemu: add virtio_rng kernel module (bsc#918238)
* Wed Mar 18 2015 hare@suse.de
- Parse rootflags correctly (bsc#912734)
  * Add 0176-Parse-rootflags-correctly.patch
- 90multipath: start multipathd after udev (bsc#903001)
  * Add 0177-90multipath-start-multipathd-after-udev.patch
* Wed Feb 11 2015 hare@suse.de
- Drop obsolete patch:
  * Remove 0170-log-dracut-command-line-during-boot-process.patch
- Enabled Warning for failed kernel modules per default (bnc#886839)
  * Modify 0169-Enabled-Warning-for-failed-kernel-modules-per-defaul.patch
* Fri Feb  6 2015 hare@suse.de
- Reformat patches:
  * 0165-Order-root-fsck-after-pre-mount.patch
  * 0172-10i18n-module-setup.sh-For-FONT_MAP-also-check-wheth.patch
- Rename patches:
  * Remove fips-enable-aesni-intel.patch
  * Add 0174-fips-enable-aesni-interl.patch
  * Remove dracut-fix-bad-array-subscript.patch
  * Add 0175-dracut-Fix-bad-array-subscript-messages.patch
- 98systemd/rootfs-generator: Use builtins instead of 'grep'
  (bnc#897252)
  * Add 0167-98systemd-rootfs-generator-Use-builtins-instead-of-g.patch
- Enabled Warning for failed kernel modules per default
  * Add 0169-Enabled-Warning-for-failed-kernel-modules-per-defaul.patch
- log dracut command line during boot process
  * Add 0170-log-dracut-command-line-during-boot-process.patch
- Follow symbolic links for kernel arguments (bnc#902375)
  * Add 0173-Follow-symbolic-links-for-kernel-arguments-bnc-90237.patch
* Thu Feb  5 2015 meissner@suse.com
- add hooks for regenerating the initrd after updating this package,
  both mainpackage and -fips subpackage. bsc#916348
- fips-enable-aesni-intel.patch: put aesni-intel.ko into the initrd for
  FIPS usage. bsc#914126
- dracut-fix-bad-array-subscript.patch: fixed "bad array subscript" messages
  when adding kernel modules using "/etc/dracut.conf". bsc#911660
* Wed Dec  3 2014 trenn@suse.de
- Order of patches broken, because not all mainline/factory patches are
  relevant for sle12
- Fix console font for foreign languages (bnc#904533)
  * Add 0163-Install-etc-sysconfig-console-to-see-specific-fonts.patch
  * Add 0172-10i18n-module-setup.sh-For-FONT_MAP-also-check-wheth.patch
- Fix SUSE specific initrd-<kernel_ver> vs mainline initramfs-<kernel_ver>.img
  * Add 0164-Fix-initramfs-ver.img-vs-initrd-ver-in-dracut-initra.patch
- Do fsck (bnc#906592)
  * Add 0165-Order-root-fsck-after-pre-mount.patch
- Also add ifname=<NIC>:<MAC> boot parameter to always identify correct NIC
  (bnc#900831)
  * Add 0166-nfs-Add-ifname-dev-mac-to-boot-parameters.patch
- Typo fix (bnc#901322)
  * Add 0168-convertrunfs-Fix-typo.patch
- also add the cmac.ko cryptographic module to the modules (bnc#905296)
  * Add 0171-also-add-the-cmac.ko-cryptographic-module-to-the-mod.patch
- Fix install-kernel:
  - Call depmod (bnc#874621)
  - add .config (bnc#897901)
* Thu Nov 20 2014 mmarek@suse.cz
- purge-kernels: Also clean up kgraft-patch packages (bnc#905869)
* Wed Sep 24 2014 trenn@suse.de
- Add ip= and root=nfs.. to dracut internal cmdline to make nfsroot working
  (bnc#896464)
  * Add 0160-nfs-Add-ip-.-and-root-nfs.-parameters-to-internal-dr.patch
- Fix error message in case there is no internal dracut cmdline added
  Simple fix
  * Add 0161-Fix-error-message-when-there-are-no-internal-kernel-.patch
- Request DHCP lease instead of getting/applying the offer
  No bug number, but Pawel rated this high prio. This should hit SLE12 still.
  * Add 0162-network-Request-DHCP-lease-instead-of-getting-applyi.patch
* Mon Sep 22 2014 trenn@suse.de
- Try to load xennet driver in network module (if loaded).
  bnc#896464, bnc#896259
  * Add 0159-network-Try-to-load-xennet.patch
* Thu Sep 11 2014 trenn@suse.de
- dracut.usage.asc: Remove distro specific help from manpage (bnc#895363)
  * Add 0156-dracut.usage.asc-Remove-distro-specific-help-from-ma.patch
- Add /boot/zipl to host devs if it is a mount point (bnc#892187)
  * Add 0157-Add-boot-zipl-to-host-devs-if-it-is-a-mount-point.patch
- Add SUSE kernel module dependencies (in /etc/modprobe.d/*) (bnc#895331)
  * Add 0158-Add-SUSE-kernel-module-dependencies-in-etc-modprobe..patch
* Thu Sep  4 2014 trenn@suse.de
- Network module may take quite a lot of initrd space. Do not add it
  unconditionally (bnc#892851)
  * Add 0153-Only-add-network-module-on-request-and-on-dependenci.patch
- S390x can do s2disk, allow resume module there
  (bnc#889795)
  * Add 0154-resume-Also-allow-this-module-on-S390-again-s2disk-c.patch
- Harden iscsi parameter checking. No bug report, but this problem
  was found during multipath testing and happens with 2 or more
  iscsi devices.
  * Add 0155-iscsi-iscsi.initiator-and-others-can-and-must-only-s.patch
* Fri Aug 29 2014 trenn@suse.de
- Do not blindly try to touch the logfile (bnc#893219)
  * Add 0146-dracut.sh-corrected-logfile-check.patch
- Only fix UUID= fstab parsing
  * Add 0147-dracut.sh-Fix-UUID-fstab-parsing-in-case-mount-optio.patch
- Also fix other parsing syntax in fstab like LABEL=
  * Add 0148-dracut.sh-Fix-LABEL-and-other-fstab-syntax.patch
- Fix up some bugs from previous commit
  * Add 0149-dracut.sh-Fix-fstab-parsing-again.patch
- bnc#893615
  * Add 0150-Find-kernel-modules-in-extra-and-weak-updates-path-a.patch
- pixz does need too much memory, go back to xz in a conservative way
  (bnc#893981)
  * Add 0151-Go-back-to-xz-again-pixz-may-use-too-much-memory-whi.patch
- Add some default tools to initrd when debug module is included and
  already provided an commented example line how to easily enable it.
  No functional change by default.
  * Add 0152-Add-a-comment-to-easily-add-debug-modules-also-add-v.patch
* Thu Aug 21 2014 trenn@suse.de
- dracut.sh: check for logfile (--logfile option) and create it if necessary
  Add 0139-dracut.sh-check-for-logfile-logfile-option-and-creat.patch
- Avoid duplicate names in host_devs
  Add 0140-dracut.sh-Avoid-duplicate-devices-in-host_devs.patch
- iscsi: Avoid bad ip route call on empty address
  Add 0141-iscsi-Avoid-bad-ip-route-call-on-empty-address.patch
- 40network: Don't report error for .../ifroute-* during module setup
  Add 0142-40network-Don-t-report-error-for-etc-sysconfig-netwo.patch
- iscsi: Fix up ipv6 in brackets , iterate over all needed iscsi mounts
  Add 0143-iscsi-Fix-up-ipv6-in-brackets-iterate-over-all-possi.patch
- 90crypt: Fixed crypttab_contains() to also work with device in /etc/crypttab
  Add 0144-90crypt-Fixed-crypttab_contains-to-also-work-with-de.patch
- 40network: handle 'ip=ifname:static' correctly (bnc#892801)
  Add 0145-40network-handle-ip-ifname-static-correctly.patch
* Thu Aug 14 2014 trenn@suse.de
- Allow multiple configurations per network interface (bnc#887906)
  Add 0133-Allow-multiple-configurations-per-network-interface-.patch
- Remove bootdev warning (bnc#881112)
  Add 0134-Remove-bootdev-warning-bnc-881112.patch
- check for existance of 69-dm-lvm-metad.rules in modules_setup.sh, lvm module
  (bnc#891791)
  Add 0135-lvm-Fix-12819a579900b9691e2-check-for-existance-of-6.patch
- Moved persistent network rule revert to another file (was not in github):
  Delete: 0133-Remove-70-persistent-net.rules.patch
  Add:    0136-Revert-95udev-rules-add-persistent-network-rule.patch
- dracut-use-fipscheck-openssl.patch: Switch from Mozilla NSS sha256hmac
  checking to fipscheck as recommended
  Add: 0137-Switch-from-Mozilla-NSS-sha256hmac-checking-to-fipsc.patch
- warpclock: Do not use warpclock module on S390(x), hwclock does not exist
  there (bnc#884513)
  Add 0138-warpclock-Do-not-use-warpclock-module-on-S390-x-hwcl.patch
* Tue Aug  5 2014 trenn@suse.de
- 99base: Increase initqueue timeout in non systemd case (bnc#887402)
  * Add: 0127-99base-Increase-initqueue-timeout-in-non-systemd-cas.patch
- 90lvm: Install dm-snapshot module (bnc#888530)
  * Add: 0128-90lvm-Install-dm-snapshot-module.patch
- Revert commit 6ecab258710d158a7a6 and only do not wait for swap via
  parameter (bnc#882812)
  * Add: 0129-Revert-commit-6ecab258710d158a7a6-and-only-do-not-wa.patch
- nfs: Always add all kernel modules for kdump (bnc#887906)
  * Add: 0130-nfs-Always-add-all-kernel-modules-for-kdump.patch
- 40network: handle prefixed IP addresses correctly (bnc#880108)
  * Add: 0131-40network-handle-prefixed-IP-addresses-correctly.patch
- 40network: fixup static network configuration
  * Add: 0132-40network-fixup-static-network-configuration.patch
- Remove 70-persistent-net.rules
  * Add: 0133-Remove-70-persistent-net.rules.patch
* Mon Jul 21 2014 hare@suse.de
- mkinitrd-suse.sh: Bail out with exit 1 if initrd cannot be generated
  (bnc#886630)
  * Add: 0120-mkinitrd-suse.sh-Bail-out-with-exit-1-if-initrd-cann.patch
- Adjust initramfs-$kernel.img to SUSE default: initrd-$kernel
  (bnc#882306)
  * Add: 0121-Adjust-initramfs-kernel.img-to-SUSE-default-initrd-k.patch
- btrfs: btrfs-dump-super and btrfs-select-super do not exist
  (bnc#886883)
  * Add: 0122-btrfs-btrfs-dump-super-and-btrfs-select-super-do-not.patch
- 95zfcp_rules: fix typo in module_setup (bnc#887582)
  * Add: 0123-95zfcp_rules-fix-typo-in-module_setup.patch
- 40network: Update iBFT scanning code to handle IPv6 (bnc#887542)
  * Add: 0124-40network-Update-iBFT-scanning-code-to-handle-IPv6.patch
- 40network: separate 'mask' and 'prefix' (bnc#887542)
  * Add: 0125-40network-separate-mask-and-prefix.patch
- 01fips: Add drbg module to force loaded modules (bnc#875855)
  * Add: 0126-01fips-Add-drbg-module-to-force-loaded-modules.patch
* Mon Jul 14 2014 trenn@suse.de
- Fixup executable bits of newly patched files manually in spec file
  bnc#887117
* Mon Jul 14 2014 hare@suse.de
- Mark all scripts as executable (bnc#887010)
  * Remove: 0116-81cio_ignore-Mark-scripts-as-executable
  * Add: 0116-Mark-scripts-as-executable.patch
- 95dasd_rules: Enable device before checking type
  * Add: 0117-95dasd_rules-Enable-the-device-before-checking-devic.patch
- 95zfcp_rules: Enable device before checking type
  * Add: 0118-95zfcp_rules-Enable-the-device-before-checking-devic.patch
- Reset IFS variable
  * Add: 0119-Reset-IFS-variable.patch
* Sat Jul 12 2014 hare@suse.de
- Handle module alias properly (bnc#886839)
  * Add: 0115-Handle-module-alias-properly.patch
- 81cio_ignore: Mark scripts as executable (bnc#887010)
  * Add: 0116-81cio_ignore-Mark-scripts-as-executable.patch
* Fri Jul 11 2014 hare@suse.de
- 91zipl: Translate 'ext2' into 'ext4' module
  * Add: 0114-91zipl-Translate-ext2-3-into-ext4.patch
* Thu Jul 10 2014 hare@suse.de
- Enable converting of directory /var/run /var/lock to symlinks
  (bnc#877680)
  * Add: 0106-dracut-Enable-converting-of-directory-var-run-var-lo.patch
- Fixup typo 'firmare' instead of 'firmware'
  * Add: 0107-Fixup-typo-firmare-instead-of-firmware.patch
- 91zipl: Store commandline correctly
  * Add: 0108-91zipl-Store-commandline-correctly.patch
- 95dasd_rules: Store all devices in commandline
  * 0109-95dasd_rules-Store-all-devices-in-commandline.patch
- 95zfcp_rules: Store all devices in commandline
  * Add: 0110-95zfcp_rules-Store-all-devices-in-commandline.patch
- 90mdraid: Remove line for 'offroot' detection
  * Add: 0111-90mdraid-Remove-line-for-offroot-detection.patch
- 99base: warn on invalid command for initqueue
  * Add: 0112-99base-warn-on-invalid-command-for-initqueue.patch
- 91zipl: Install script as executable
  * Add: 0113-91zipl-Install-script-as-executable.patch
* Tue Jul  8 2014 hare@suse.de
- Print stored dracut commandline during initramfs build
  * Add: 0101-Print-stored-dracut-commandline-during-initramfs-bui.patch
- Align dev_unit_name() with systemd's function
  * Add: 0102-Align-dev_unit_name-with-systemd-s-function.patch
- Fixup missing separators in rootfs-block cmdline
  * Add: 0103-Fixup-missing-separators-in-rootfs-block-cmdline.patch
- Generate fallback mount unit for root filesystem (bnc#855258)
  * Add: 0104-Generate-fallback-mount-unit-for-root-filesystem.patch
- 95iscsi: parse output from iscsiadm correctly (bnc#886199)
  * Add: 0105-95iscsi-parse-output-from-iscsiadm-correctly.patch
* Thu Jul  3 2014 dsterba@suse.cz
- 90btrfs: Install rescue utilities to initrd
  * Add: 0100-btrfs-add-initrd-rescue-utilities.patch
* Thu Jul  3 2014 hare@suse.de
- 40network: create /var/lib/wicked in ifup.sh (bnc#885141)
  * Add: 0089-40network-create-var-lib-wicked-in-ifup.sh.patch
- dracut: caps: Remove whole caps module
  * Add: 0090-dracut-caps-Remove-whole-caps-module.patch
- dracut: biosdevname: Only install if present
  * Add: 0091-dracut-biosdevname-In-SUSE-biosdevname-package-is-in.patch
- dracut: nbd: Only complain of missing binary in hostonly mode
  if rootfs is on nbd
  * Add: 0092-dracut-nbd-Only-complain-of-missing-binary-in-hoston.patch
- 95iscsi: generate commandline for software iscsi (bnc#880108)
  * Add: 0093-95iscsi-generate-commandline-for-software-iscsi.patch
- Implement shortcut 'ip=<ifname>:static' for static configuration
  * Add: 0094-Implement-shortcut-ip-ifname-static-for-static-confi.patch
- 95iscsi: use static configuration for software iscsi (bnc#884768)
  * Add: 0095-95iscsi-use-static-configuration-for-software-iscsi.patch
- dracut: Fix error: local: can only be used in a function
  * Add: 0096-dracut-Fix-error-local-can-only-be-used-in-a-functio.patch
- Implement 'rd.timeout' to modify the device timeout (bnc#878770)
  * Add: 0097-Implement-rd.timeout-to-modify-the-device-timeout.patch
- Do not call 'lvm' for non-LVM device-mapper devices
  * Add: 0098-Do-not-call-lvm-for-non-LVM-device-mapper-devices.patch
- 90multipath: Load device_handler modules early during boot (bnc#871617)
  * Add: 0099-90multipath-Load-device_handler-modules-early-during.patch
* Fri Jun 27 2014 hare@suse.de
- 91zipl: Add new module for s390x configuration changes (bnc#884743)
  * Add: 0088-91zipl-Add-new-module-to-update-s390x-configuration.patch
* Thu Jun 26 2014 hare@suse.de
- 95dasd_rules: Fixup rd.dasd parsing
  * Add: 0079-95dasd_rules-fixup-rd.dasd-parsing.patch
- 95dasd_rules: Print out rd.dasd command-line
  * Add: 0080-95dasd_rules-print-out-rd.dasd-commandline.patch
- 95dasd_mod: do not set module parameter
  * Add: 0081-95dasd_mod-do-not-set-module-parameters-if-dasd_cio_.patch
- 00warpclock: Check for /sbin/hwclock (bnc#884513)
  * Add: 0082-00warpclock-check-for-sbin-hwclock.patch
- 95zfcp_rules: Fixup rd.zfcp parsing
  * Add: 0083-95zfcp_rules-Fixup-rd.zfcp-parsing.patch
- 95rootfs_block: terminate commandline parameter
  * Add: 0084-95rootfs-block-Correctly-terminate-commandline-param.patch
- 95zfcp_rules: Print out rd.zfcp command-line
  * Add: 0085-95zfcp_rules-print-out-rd.zfcp-commandline-parameter.patch
- 95zfcp_rules: Auto-generate ipl device rule
  * Add: 0086-95zfcp_rules-Auto-generate-udev-rule-for-ipl-device.patch
- 95dasd_rules: Auto-generate ipl device rule
  * Add: 0087-95dasd_rules-Auto-generate-udev-rule-for-ipl-device.patch
* Mon Jun 23 2014 hare@suse.de
- More empty commandline fixes
  * Add: 0074-More-empty-cmdline-fixes.patch
- 95dasd_rules: enable parsing of rd.dasd= commandline parameter
  * Add: 0075-95dasd_rules-enable-parsing-of-rd.dasd-commandline-p.patch
- Correctly set cio_ignore for dynamic s390 rules
  * Add: 0076-Correctly-set-cio_ignore-for-dynamic-s390-rules.patch
- 90multipath: add missing 11-dm-mpath.rules file (bnc#883149)
  * Add: 0077-90multipath-add-missing-11-dm-mpath.rules-file.patch
- Restore original IFS value (bnc#883770)
  * Add: 0078-Restore-original-IFS-value.patch
* Wed Jun 18 2014 tbehrens@suse.com
- Fix non-export of journal dev boot options
  * Add: 0071-Fix-non-export-of-journal-dev-boot-options.patch
- Also export root= boot param for hostonly-cmdline
  * Add: 0072-Also-export-root-boot-param-for-hostonly-cmdline-cas.patch
- Don't create lots of empty cmdline files
  * Add: 0073-Don-t-create-lots-of-empty-cmdline-files-for-hostonl.patch
* Tue Jun 17 2014 hare@suse.de
- 81cio_ignore: rewrite module to not mount any filesystem
  (bnc#882685)
  * Add: 0070-81cio_ignore-rewrite-module.patch
* Tue Jun 17 2014 hare@suse.de
- 81cio_ignore: ignore module if cio_ignore is not specified
  (bnc#882685)
  * Add:
    0069-81cio_ignore-skip-module-if-cio_ignore-is-not-active.patch
* Mon Jun 16 2014 hare@suse.de
- 40network: always start netroot in ifup.sh (bnc#881235)
  * Add: 0066-40network-always-start-netroot-in-ifup.sh.patch
- 95fcoe: check() always returns 255
  * Add: 0067-95fcoe-check-always-returns-255.patch
- 95fcoe-uefi: Test for EFI firmware (bnc#882412)
  * Add: 0068-95fcoe-uefi-Test-for-EFI-firmware.patch
* Fri Jun 13 2014 hare@suse.de
- Rename patches to match git repository:
  * Old: more-fips-adjustments.patch
  * New: 0057-01fips-Include-some-more-hmacs.patch
  * Old: dracut-check-supported.patch
  * New: 0058-dracut-add-warning-when-including-unsupported-module.patch
- Add 99suse module to git repository:
  * Remove: parse-suse-initrd.sh
  * Remove: module-setup-initrd.sh
  * Add: 0059-99suse-Add-SUSE-specific-initrd-parsing.patch
- Add write-ifcfg-suse.sh to git repository:
  * Remove: write-ifcfg-suse.sh
  * Add: 0060-45ifcfg-Add-SUSE-specific-write-ifcfg-file.patch
- Fixup error messages in write-ifcfg-suse.sh (bnc#881286)
  * Add: 0061-45ifcfg-Fixup-error-message-in-write-ifcfg-suse.patch
- Add missing 'libgcc_s.so' library (bnc#881692):
  * Add: 0062-95iscsi-Install-libgcc_s-library.patch
  * Add: 0063-90multipath-Install-libgcc_s-library.patch
- Install missing scsi_dh_alua module (bnc#871617)
  * Add: 0064-90kernel-modules-install-scsi_dh_alua.patch
- 95iscsi: fixup bnx2i offload booting (bnc#855747)
  * Add: 0065-95iscsi-Fixup-bnx2i-offload-booting.patch
* Wed Jun 11 2014 jeffm@suse.com
- Add option to warn if unsupported modules are added to the initramfs
  - Enable this option for 'make install' when a kernel with
    CONFIG_SUSE_KERNEL_SUPPORTED enabled is used. (bnc#882332)
  - Add dracut-check-supported.patch
* Wed Jun 11 2014 meissner@suse.com
- include the several hmacs needed for FIPS integrity checking
  of cryptsetup, libgcrypt, libfipscheck1. Also add the openssl
  HMACs too as someone else seems to use those too.
  Add: more-fips-adjustments.patch
* Wed Jun  4 2014 hare@suse.de
- Rediff patches to match git repository
- 95fcoe: Check for FCoE devices prior to binaries
  * Modify 0055-95fcoe-Only-install-fcoe-module-if-required.patch
- 99base: Install chown instead of chgrp
  * Modify 0052-99base-Add-chown-binary.patch
- 95iscsi: do not try to detect iSCSI firmware during booting;
  should be handled via commandline parameter
  * Modify 0030-95iscsi-Autodetect-iSCSI-firmware.patch
- Rename patch:
  * old: 0051-mkinitrd-suse-add-update-booloader-message.patch
    new: 0051-mkinitrd-suse-add-update-bootloader-message.patch
* Wed Jun  4 2014 hare@suse.de
- Rename patches to match git repository:
  * old: 0013-Correct-paths-for-openSUSE.patch
    new: 0011-Correct-paths-for-openSUSE.patch
  * old: 0014-Check-for-plymouth-lib-directories.patch
    new: 0012-Check-for-plymouth-lib-directories.patch
  * old: dracut_do_not_update_booloader_if_no_kernel_is_found.patch
    new: 0013-mkinitrd-suse-do-not-update-bootloader-if-no-kernel-.patch
  * old: suse_grub_manpage.patch
    new: 0014-Update-dracut-manpage-for-GRUB-Legacy-and-GRUB2.patch
  * old: replace_dhclient_with_wickedd_dhcp_supplicants.patch
    new: 0015-40network-replace-dhclient-with-wickedd-dhcp-supplic.patch
  * old: 0015-add-new-s390x-specific-rule-files.patch
    new: 0016-Add-new-s390x-specific-rule-files.patch
  * old: change_write_ifcfg_to_suse.patch
    new: 0017-45ifcfg-use-distro-specific-scripts.patch
  * old: dracut-fix-whitespace-add-drivers_call.patch
    new: 0018-mkinitrd-suse-Fix-whitespaces-when-adding-drivers.patch
  * old: wait_for_network_race_condition_fix.patch
    new: 0019-40network-Fix-race-condition-when-wait-for-networks.patch
  * old: dracut-warpclock_module.patch
    new: 0020-00warpclock-Set-correct-timezone.patch
  * old: s390-dcssblk.patch
    new: 0021-95dcssblk-Add-new-module-for-DCSS-block-devices.patch
  * old: dracut-install-persistent-rule.patch
    new: 0022-95udev-rules-add-persistent-network-rule.patch
  * old: dracut-really-always-add-autofs4.patch
    new: 0023-systemd-always-tries-to-load-autofs4.patch
  * old: mdraid-setup.patch
    new: 0024-Fixup-mdraid-setup.patch
  * old: 0015-95udev-rules-Add-59-scsi-sg_utils.rules.patch
    new: 0025-95udev-rules-Add-59-scsi-sg_utils.rules.patch
  * old: 0016-90multipath-add-67-kpartx-compat.rules.patch
    new: 0026-90multipath-add-67-kpartx-compat.rules.patch
  * old: 0017-90multipath-install-dracut-specific-service-file.patch
    new: 0027-90multipath-install-dracut-specific-service-file.patch
  * old: 0020-95udev-rules-Include-correct-sg3_utils-rules.patch
    new: 0028-95udev-rules-Include-correct-sg3_utils-rules.patch
  * old: 0021-90multipath-install-correct-multipath-rules.patch
    new: 0029-90multipath-install-correct-multipath-rules.patch
  * old: add_dracuts_network_params_for_iscsi.patch
    new: 0030-95iscsi-Autodetect-iSCSI-firmware.patch
  * old: 0022-90multipath-Fixup-service-file-for-booting.patch
    new: 0031-90multipath-Fixup-service-file-for-booting.patch
  * old: 0023-mkinitrd-suse.sh-Use-hostonly-and-hostonly-cmdline-c.patch
    new: 0032-mkinitrd-suse.sh-Use-hostonly-and-hostonly-cmdline-c.patch
  * old: 0024-95iscsi-Set-correct-iscsi_started-value-for-iSCSI-fi.patch
    new: 0033-95iscsi-Set-correct-iscsi_started-value-for-iSCSI-fi.patch
  * old: 0025-dracut_continue_adding_modules_also_on_error.patch
    new: 0034-dracut-Do-not-stop-installing-drivers-if-one-fails.patch
  * old: 0026-force_to_add_and_load_kernel_modules_other_than_via_boot_param.patch
    new: 0035-Introduce-force-drivers-parameter-and-force_drivers-.patch
  * old: 0027-95fcoe-Store-current-configuration-in-dracut-cmdline.patch
    new: 0036-95fcoe-Store-current-configuration-in-dracut-cmdline.patch
  * old: 0028-95fcoe-update-fcoe-interface-check.patch
    new: 0037-95fcoe-update-fcoe-interface-check.patch
  * old: 0029-95fcoe-start-lldpad-separately.patch
    new: 0038-95fcoe-start-lldpad-separately.patch
  * old: 0030-dracut-mkinitd_cleanup_force_host_only_var.patch
    new: 0039-Remove-force-parameter-from-mkinitrd.patch
  * old: 0031-95fcoe-skip-VLAN-devices-in-fcoe-up.patch
    new: 0040-95fcoe-skip-VLAN-devices-in-fcoe-up.patch
  * old: 0033-dracut_hostonly_hostonly_cmdline_default.patch
    new: 0041-mkinitd-suse-remove-hostonly-and-hostonly-cmdline.patch
  * old: 0034-suse.conf.example_extend.patch
    new: 0042-Enhance-suse.conf-example-with-SUSE-specific-setting.patch
  * old: 0035-always_add_network.patch
    new: 0043-40network-always-add-network-module.patch
  * old: 0036-add_extra_debug_binaries.patch
    new: 0044-Add-find-to-debug-binaries.patch
  * old: 0037-fix_s390_network_modules_install.patch
    new: 0045-40network-add-missing-_arch-variable-declaration.patch
  * old: 0038-remove_waiting_for_swap_dev.patch
    new: 0046-dracut-Do-not-wait-for-swap-device.patch
  * old: 0039-s390_no_resume_module.patch
    new: 0047-95resume-skip-module-for-s390-x.patch
  * old: 0041-only_enable_network_if_explicitly_requested.patch
    new: 0048-40network-Only-enable-network-interfaces-if-explicit.patch
  * old: 0042-ibft_autoconfig_param.patch
    new: 0049-95iscsi-Use-ip-ibft-for-ibft-autoconfiguration.patch
  * old: 0043-fcoe_strip_quotes.patch
    new: 0050-95iscsi-strip-one-set-of-quotes-when-calling-initque.patch
  * old: 0044-Add_update_bootloader_msg.patch
    new: 0051-mkinitrd-suse-add-update-booloader-message.patch
  * old: 0045-add-chown_binary.patch
    new: 0052-99base-Add-chown-binary.patch
  * old: dracut-fips-module-loading-fixes.patch
    new: 0053-01fips-fixup-loading-issues.patch
  * old: 0046-ibft_update_cmdline_printing.patch
    new: 0054-95iscsi-update-commandline-printing.patch
  * old: 0047-only_install_fcoe_if_required.patch
    new: 0055-95fcoe-Only-install-fcoe-module-if-required.patch
  * old: 0048-cio_ignore.patch
    new: 0056-81cio_ignore-handle-cio_ignore-commandline.patch
* Mon Jun  2 2014 trenn@suse.de
- Mount zipl device on S390 (bnc#874902)
  Add 0048-cio_ignore.patch
* Mon Jun  2 2014 trenn@suse.de
- Only install fcoe if required
  and suppress require-binaries output
  Add 0047-only_install_fcoe_if_required.patch
- ibft: Correctly show ibft cmdline via print-cmdline
  Add 0046-ibft_update_cmdline_printing.patch
* Mon Jun  2 2014 meissner@suse.com
- dracut-fips-module-loading-fixes.patch: bnc#875855
  - adjust FIPS module list
  - on architecture specific modules, failing loading is not
    critical
- ship 98selinux, for people that want to use SELinux.
* Wed May 28 2014 trenn@suse.de
- Update to latest git HEAD: commit 0fa5dbedc5b222435f51f7460a81232ee120c4e1
  Tue May 20 13:23
  Modified dracut_v37_to_HEAD.patch
  Modified mdraid-setup.patch
  Modified dracut-install-persistent-rule.patch
  Removed  0032-98systemd-fixup-rootfs-generator-installation-path.patch
- Add /etc/dracut.d.conf/01-dist modifications to file instead of writing
  to it via rpm build section
  Add 0033-dracut_hostonly_hostonly_cmdline_default.patch
  Add 0034-suse.conf.example_extend.patch
- Cleanup mkinitrd-suse.sh:
  * Remove hostonly and hostonly-cmdline -> this is done via 01-dist config
    file now
- Always add network module based on modules_setup.sh check() function and not
  via 01-dist config file
  Add 0035-always_add_network.patch
- Add find to debug binaries - Useful and harmless
  Add 0036-add_extra_debug_binaries.patch
- Fix adding of network modules for s390 (bnc#879302)
  Add 0037-fix_s390_network_modules_install.patch
- Omit resume module on s390(x) - There is no suspend on s390
  Add 0039-s390_no_resume_module.patch
- Do not wait for swap - This causes trouble with Rudi's autobuild images:
  Add 0038-remove_waiting_for_swap_dev.patch
- Fcoe and ibft fixes (bnc#879038):
  Add 0041-only_enable_network_if_explicitly_requested.patch
  Add 0042-ibft_autoconfig_param.patch
  Add 0043-fcoe_strip_quotes.patch
- Print message when starting to update bootloader
  Add 0044-Add_update_bootloader_msg.patch
- ToDo: Pass hostonly variable earlier so that is always avail in check()
  function. Still already add:
  Add 0040-fcoe_fix_check_function.patch
- Add chown to initrd (bnc#879767)
  Add 0045-add-chown_binary.patch
- Use parallel pixz instead of xz binary to compress the initrd
* Tue May 20 2014 trenn@suse.de
- From Hannes Reinecke <hare@suse.com>:
  fixup rootfs-generator installation path (bnc#878714)
  Add 0032-98systemd-fixup-rootfs-generator-installation-path.patch
* Mon May 19 2014 trenn@suse.de
- Corrected previous patch
  Modified: 0031-95fcoe-skip-VLAN-devices-in-fcoe-up.patch
* Mon May 19 2014 trenn@suse.de
- From Hannes Reinecke <hare@suse.com>:
  skip VLAN devices in fcoe-up (bnc#878583)
  Add: 0031-95fcoe-skip-VLAN-devices-in-fcoe-up.patch
* Thu May 15 2014 trenn@suse.de
- By Hannes Reinecke <hare@suse.com>:
  - Fixup FCoE booting (bnc#877288)
  * Add 0027-95fcoe-Store-current-configuration-in-dracut-cmdline.patch
  * Add 0028-95fcoe-update-fcoe-interface-check.patch
  * Add 0029-95fcoe-start-lldpad-separately.patch
- Cleanup host_only variable using in mkinitrd
- Remove --force parameter from mkinitrd, we always force anyway
  * Add 0030-dracut-mkinitd_cleanup_force_host_only_var.patch
- Remove acpi parameter from mkinitrd, this is done differently nowadays
- Adjust manpage accordingly
* Wed May 14 2014 meissner@suse.com
- also do the service magic in %%post/%%postun, otherwise
  purge-kernels will not get enabled.
* Wed May  7 2014 trenn@suse.de
- Do not inst binaries explicitly into /bin or /usr/bin, it is already taken
  care of internally for that:
    Delete 0006-Install-bin-mount.patch
    Modify 0013-Correct-paths-for-openSUSE.patch
- Do not stop trying to load drivers (via add-drivers or filesystems) if one
  fails
    Add 0025-dracut_continue_adding_modules_also_on_error.patch
- Introduce force-drivers. mkinitrd should use this one instead of add-drivers
  later, if accepted mainline
    Add
  0026-force_to_add_and_load_kernel_modules_other_than_via_boot_param.patch
* Mon May  5 2014 hare@suse.de
- Update add_dracuts_network_params_for_iscsi.patch to detect
  be2iscsi firmware devices
- Remove obsolete patch fix-iscsi-firmware.sh
- Fixup iscsi firmware booting with be2iscsi (bnc#873448):
  Added 0024-95iscsi-Set-correct-iscsi_started-value-for-iSCSI-fi.patch
- Renamed mkinird_differ_host_and_cmdline_only_properly.patch to
  0023-mkinitrd-suse.sh-Use-hostonly-and-hostonly-cmdline-c.patch
* Wed Apr 30 2014 trenn@suse.de
- Update to lateste git HEAD 48b7ab1b35adf1f3f09f883ef14ea0a3fba1e468
    Added:     dracut_v37_to_HEAD.patch
    Modified:  0013-Correct-paths-for-openSUSE.patch
    Modified:  mdraid-setup.patch
    Modified:  replace_dhclient_with_wickedd_dhcp_supplicants.patch
    Deleted:   0018-fstab-do-not-mount-and-fsck-from-fstab-if-using-syst.patch
    Deleted:   0019-dracut-initqueue-service-runs-before-remote-fs-pre.t.patch
- Fix lvm and other possible not working thing due to new parameter:
  hostonly-cmdline which has to be active by default
    bnc#874000 bnc#874905 bnc#874363
    Added:     mkinird_differ_host_and_cmdline_only_properly.patch
- Make write-ifcfg-suse.sh more update robust
  Avoid rebasing of diff with every update touching this file by adding
  write-ifcfg-suse.sh as source file and copy/link in .spec file.
    Modified:  change_write_ifcfg_to_suse.patch
* Tue Apr 29 2014 meissner@suse.com
- consolidate -fips-aesni into -fips again. The problem due to it
  was split off upstream was solved in the kernel.
* Fri Apr 25 2014 meissner@suse.com
- Create new -fips and -fips-aesni subpackage for kernel
  integrity checking. bnc#856310 FATE#316930
- add spaces around "network" in 01-dist.conf, as the addmodules
  list is concatenated and you never know which config is before or
  after and what it does.
* Wed Apr 16 2014 hare@suse.de
- Enable multipath correctly during booting (bnc#873686)
  Add: 0022-90multipath-Fixup-service-file-for-booting.patch
* Mon Apr 14 2014 pwieczorkiewicz@suse.com
- fix-iscsi-firmware.patch:
  Fix according to dracut-037 updates (iscsistarted-iscsi:).
* Mon Apr 14 2014 pwieczorkiewicz@suse.com
- add_dracuts_network_params_for_iscsi.patch:
  Add missing dracut's cmdline parameters to make network mandatory
  and boot using iBFT when present. Without them iBFT booting does
  not work.
* Fri Apr 11 2014 hare@suse.de
- Install correct rule files for multipath support (bnc#873151)
  Add: 0020-95udev-rules-Include-correct-sg3_utils-rules.patch
  Add: 0021-90multipath-install-correct-multipath-rules.patch
* Thu Apr 10 2014 trenn@suse.de
- Do not always try to add iscsi module, let its check function decide
- Compress initrd with xz --check=crc32 -6 by default
* Wed Apr  9 2014 crrodriguez@opensuse.org
- Remove the bootchart module, note that we still keep
  the systemd-bootchart one which provides similar functionality.
* Wed Apr  9 2014 crrodriguez@opensuse.org
- Remove the busybox module we have all basic tools already
  in the initrd
- _unitdir is always defined nowadays, remove the conditionals.
* Wed Apr  9 2014 sfalken@opensuse.org
- Replaced dracut tarball with proper upstream tarball
  Add: dracut-037.tar.xz
* Tue Apr  8 2014 hare@suse.de
- Update dracut to 037
  * Add --hostonly_cmdline switch
  * Update --mount syntax
  * Include modules from /updates directory
  * Fixes for network setup
  * Some small fixes
- Rediff patches
- Include iscsiuio again (bnc#872474)
  Remove: remove-iscsiuio.patch
- Install 59-scsi-sg_utils.rules (bnc#872478)
  Add: 0015-95udev-rules-Add-59-scsi-sg_utils.rules.patch
- Install 67-kpartx-compat.rules (bnc#872662)
  Add: 0016-90multipath-add-67-kpartx-compat.rules.patch
- Install separate multipath service file (bnc#871610)
  Add: 0017-90multipath-install-dracut-specific-service-file.patch
- Do not fsck and mount from fstab if systemd is used (bnc#
  Add: 0018-fstab-do-not-mount-and-fsck-from-fstab-if-using-syst.patch
- Fixup initqueue for remote-fs
  Add: 0019-dracut-initqueue-service-runs-before-remote-fs-pre.t.patch
* Thu Apr  3 2014 crrodriguez@opensuse.org
- revert last change, ucode-intel is not mandatory and
  will get installed by default anyway, either via patterns
  or by modalias dependencies in the package itself.
* Thu Apr  3 2014 crrodriguez@opensuse.org
- Require package ucode-intel in x86*
* Tue Apr  1 2014 nfbrown@suse.com
- mdraid-setup.patch
  Make mdraid scripts work with latest mdadm.
  Without this, boot from DDF or IMSM array fails if
  one device is missing (bnc#866660)
* Fri Mar 28 2014 trenn@suse.de
- systemd always tries to load autofs4 otherwise it reports:
  Failed to insert module 'autofs4'
  dracut already adds it, but only if loaded already.
  Always load autofs4 even if not already loaded (bnc#869411)
  Add: dracut-really-always-add-autofs4.patch
* Tue Mar 25 2014 trenn@suse.de
- Fix installkernel script bnc#862990
* Fri Mar 14 2014 rmilasan@suse.com
- Add support for 70-persistent-net.rules in dracut (bnc#868375)
  Add: dracut-install-persistent-rule.patch
* Fri Mar 14 2014 trenn@suse.de
- CRITICAL: Fix add-drivers passing from mkinitrd to dracut bnc#868397
* Wed Mar 12 2014 trenn@suse.de
- Add s390 dcssblk driver and introduce rd.dcssblk= to pass mounts that should
  get activated at initrd stage fate#308263
  Add: s390-dcssblk.patch
* Fri Mar  7 2014 trenn@suse.de
- bnc#830060 - Dracut is missing warpclock/hwclock
  Add dracut-warpclock_module.patch
* Wed Mar  5 2014 pwieczorkiewicz@suse.com
- wait_for_network_race_condition_fix.patch:
  * In case of no network related params are specified, but rd.neednet=1
    is set, default initqueue action is to wait until one of the network
    interfaces is marked as set up properly. (bnc#866771)
  * It also helps with initqueue's race condition when network interface
    shows up late.
- replace_dhclient_with_wickedd_dhcp_supplicants.patch:
  Add a missing network setup flag. (bnc#866771)
* Mon Mar  3 2014 trenn@suse.de
- Merge all dracut-* packages to one dracut.rpm package.
  Subpackages only had one or two minor files not worth splitting a package
  or dracut-network had important modules which should (like former main
  dracut package) always get installed
- libcap does not exist and libcap2 or friends are not needed
  - > remove Requires: libcap
- Reorder (sort) the files section a bit
* Mon Mar  3 2014 trenn@suse.de
- Fix bug introduced with last commit: Bad whitespace logic when
  INITRD_MODULES contain more than one module.
* Thu Feb 27 2014 trenn@suse.de
- Make sure that --add-drivers is not called with whitespace string which
  will lead to a "read line" user input request and things may get stuck at
  installation.
  - Add: dracut-fix-whitespace-add-drivers_call.patch
- Remove s390 grub module again -> this will go into grub2 package
  (ask rw@suse.de for details)
  Delete/remove: s390_add-user-space-grub-rule.patch
- Add installkernel script which installs the kernel when:
  make install
  is invoked. The script from mkinitrd has been taken over and adopted.
  Added source: dracut-installkernel
  bnc#862990
* Fri Feb 21 2014 trenn@suse.de
- Fix syntax error -> missing then
- Correct path, it is /usr/bin/grub2-emu
* Mon Feb 17 2014 trenn@suse.de
- autofs4 is always included since mainline git commit: 314929920f27448b45bfd
  systemd: ensure autofs4 and ipv6 are included
- Always add network and iscsi dracut module, so that ibft, iscsi, nfsroot
  work as expected.
* Fri Feb 14 2014 pwieczorkiewicz@suse.com
- change_write_ifcfg_to_suse.patch:
  Detect the system flavor and write the ifcfg files accordingly.
* Fri Feb 14 2014 trenn@suse.de
  Originally by Hannes Reinecke (hare@suse.de):
- Install new s390x specific udev rules (bnc#856585)
  - Add: 0015-add-new-s390x-specific-rule-files.patch
- Do not check for non-existing dasd_configure for s390x (bnc#856585)
* Thu Feb 13 2014 jjolly@suse.com
- Added 95grub2 module for s390x
* Thu Feb 13 2014 pwieczorkiewicz@suse.com
- remove-iscsiuio.patch:
  Remove iscsiuio references as this one is not present in SLE-12.
* Thu Feb 13 2014 pwieczorkiewicz@suse.com
- fix-iscsi-firmware.patch:
  Fix iSCSI iBFT boot up problem introduced with mainline changes
* Thu Feb 13 2014 pwieczorkiewicz@suse.com
- replace_dhclient_with_wickedd_dhcp_supplicants.patch:
  Replace dhclient with wickedd-dhcp4 and wickedd-dhcp6. Script up dhcp
  functionality in ifup.sh.
* Thu Feb 13 2014 sfalken@opensuse.org
-Added bug number to previous changelog entry
* Thu Feb 13 2014 sfalken@opensuse.org
-Updated suse_grub_manpage.patch to further correct for incorrect grub configuration paths
  bnc#858448
* Wed Feb 12 2014 sfalken@opensuse.org
-Updated suse_grub_manpage.patch for dracut-036
* Wed Feb 12 2014 sfalken@opensuse.org
-Added patch to fix manpage to reflect openSUSE GRUB Legacy and GRUB2
- removed patches:
  * dracut_git_v034_to_head.patch
* Sun Feb  9 2014 tchvatal@suse.com
- Cleanup with spec-cleaner.
* Sun Feb  9 2014 tchvatal@suse.com
- Version bump to 036 removing the need for patching from git.
- removed patch:
  * dracut_git_v034_to_head.patch
* Fri Jan 31 2014 trenn@suse.de
- Do not show usage error when no kernel was found.
  This may happen several times at package installation time and floods
  the logs.
  Modify dracut_do_not_update_booloader_if_no_kernel_is_found.patch
* Tue Jan 14 2014 trenn@suse.de
- Correctly fix previous issue:
  Exit without calling update-bootloader (bnc#858268)
  Currently mkinitrd will always exit early without creating an initrd at all.
  Rebase: dracut_do_not_update_booloader_if_no_kernel_is_found.patch
- Remove an obsolete comment from .spec file
* Mon Jan 13 2014 trenn@suse.de
  Exit without calling update-bootloader (bnc#858268):
  Add:  dracut_do_not_update_booloader_if_no_kernel_is_found.patch
  Adding:
  Requires:       systemd-sysvinit
  which has reboot, halt and other binaries dracut likes to add to the initrd.
  Cleanup and adjust to latest mainline:
  Dropping as these are included in the latest update_git_v034_to_head patch:
  Drop: 0001-95dasd-Install-kernel-modules-only-once.patch
  Drop: 0002-95dasd-Only-install-module-if-normalize_dasd_arg-is-.patch
  Drop: 0003-95dasd_mod-make-dasd_cio_free-optional.patch
  Drop: 0004-95zfcp-Make-installation-optional.patch
  Drop: 0005-95znet-Make-installation-optional.patch
  Drop: 0007-Fixup-keymap-setting-for-openSUSE.patch
  Drop: 0008-Add-DASD-configuration-for-SuSE.patch
  Drop: 0009-Add-zfcp-scripts-for-SUSE.patch
  Drop: 0010-Make-logfile-configurable.patch
  Drop: 0011-mkinitrd-suse-Add-SUSE-compability-wrapper-for-dracu.patch
  Drop: 0012-mkinitrd-suse.8.asc-Add-manpage-for-SUSE-compat-mkin.patch
  Drop: 0015-Fixup-script-permissions.patch
  Drop: 0016-Remove-shebang-from-shell-completion-files.patch
  Drop: dracut-git-update.patch
  Rebase: 0013-Correct-paths-for-openSUSE.patch
  This is a rename of dracut-git-update.patch to:
  Add:  dracut_git_v034_to_head.patch
* Fri Dec 20 2013 trenn@suse.de
- Cleanup: Remove %%define replace_mkinitrd 1
  and related conditionals in .spec file -> One either has to install
  dracut or mkinitrd and it will stay like that.
* Wed Dec 18 2013 trenn@suse.de
- Add purge kernel service/feature which before was part of mkinitrd
  bnc#854348
* Thu Nov 28 2013 hare@suse.de
- Update with patches from git repository:
  * kernel-modules: add ohci-pci to the list of forced module installs
  * Run 'xz' and 'lzma' with multiple threads
  * systemd: do not exit the initqueue, if systemd asks a password
  * iscsi,nbd: do not fail in hostonly mode
  * dracut-functions.sh: Avoid loading unnecessary 32-bit libraries
    for 64-bit initrds
  * fips: also install /etc/system-fips in the initramfs
  * dracut.modules.7.asc: removed empty section
  * dracut.sh: fixed PATH shortener
  * dracut.spec: move /sbin/dracut to /usr/sbin/dracut
  * iscsi/nbd: do not try to mount the whole disk, if root= is missing
  * fips: include crct10dif_generic
  * Handle crypto modules with and without modaliases
  * usrmount/module-setup.sh: fixed typo
  * lvm: always install thin utils for lvm
  * kernel-modules(ARM): add mmc_block usb_storage to static list of
    kernel mods
  * dracut-functions.sh:check_block_and_slaves*() skip LVM internal devs
  * mkdir basic dirs in /run
  * network/fcoe: only redirect output to loginit.pipe, if exists
  * dracut.sh: no need to make subdirs in run
  * dracut.sh: also mkdir /run/lock, which is copied to
  * lvm: fix thin recognition
  * Add lzo, lz4 compression and read INITRD_COMPRESS
  * remove resume-genrules.sh
  * resume: fix swap detection in hostonly
  * base/init.sh: also mkdir /run/lock
  * dmsquash-live: add /dev/mapper/live-base
  * Doc: cleanup, extend and split and reuse
  * dracut.sh: do not bail out, if kernel modules dir is missing
  * 10i18n/parse-i18n.sh: parse rd.vconsole and rd.locale
  * */module-setup.sh: add comments for dracut called functions
  * lvm: install thin utils for non-hostonly
- Patches for S/390 support
  * 95dasd: Install kernel modules only once
  * 95dasd: Only install module if normalize_dasd_arg is present
  * 95dasd_mod: make dasd_cio_free optional
  * 95zfcp: Make installation optional
  * 95znet: Make installation optional
  * Install /bin/mount
  * Fixup keymap setting for openSUSE
  * Add DASD configuration for SuSE
  * Add zfcp scripts for SUSE
  * Make logfile configurable
  * Add SUSE compability wrapper for dracut
  * Add manpage for SUSE compat mkinitrd
  * Work around xsltproc bug
  * Correct paths for openSUSE
  * Check for plymouth lib directories
- Drop obsolete patches
- Install mkinitrd-suse
* Mon Oct 21 2013 hrvoje.senjan@gmail.com
- Remove not needed logrotate Requires
* Thu Oct 17 2013 crrodriguez@opensuse.org
- remove use_all_paths_udev.patch, /lib/udev.. is a symlink
  to /usr nowadays this confuses other parts of the code causing
  errors/warnings during the initrd generation.
* Mon Oct 14 2013 crrodriguez@opensuse.org
- version 034
  * fcoe: add FCoE UEFI boot device support
  * rootfs-block: add support for the rootfallback= kernel
  cmdline option
  * btrfs: use inst_hook to install the timeout hook
* Sun Oct 13 2013 tittiatcoke@gmail.com
- Correct patch mkinitrd-fix-boot-dir-detection. (";;" doesn't
  really work)
* Wed Oct  9 2013 tittiatcoke@gmail.com
- Updated the patch mkinitrd-fix-boot-dir-detection.patch to a
  more generic validation that the inidcated initrd file doesn't
  contain a path. If no path is given, then add the default
  boot_dir.
* Tue Oct  8 2013 tittiatcoke@gmail.com
- Fix again the mkinitrd script as that people don't seem to test.
  Added mkinitrd-fix-boot-dir-detection.patch so that an initrd
  is created.
* Mon Oct  7 2013 trenn@suse.de
- Update to mainline git version 033, b7d1b6f904a5b0bdd9a5ad19149f3.
- Remove all patches which went mainline:
  generalize_early_cpio.patch
  microcode_cleanup.patch
  acpi_override.patch
  mkinitrd_allow_no_option.patch
  mkinitrd_allow_multiple_args.patch
  quiet_options.patch
  implement_default.patch
  root_fs.patch
  suse_host_only.patch
- Fix missing root fs slash in lib/udev/rules.d resulting in:
  /var/tmp/initramfs.Lusf6flib/udev/rules.d
- bcache: removed, it's in the upstream bcache-tools package
  mainline git commit: 49268028b90f6344f79e3510d2
- Fix bad she-bang in mkinitrd_setup_dummy
* Fri Oct  4 2013 tittiatcoke@gmail.com
- Add patch mkinitrd_update_bootloader.diff so that after
  generating the initrd, the update-bootloader is called to update
  grub2.
* Fri Oct  4 2013 tittiatcoke@gmail.com
- Validate that the parameters passed with -i (initrd file) does
  not already contain the boot_dir.
* Fri Oct  4 2013 tittiatcoke@gmail.com
- Bring back the versioned Provides/Obsoletes for mkinitrd.
  Otherwise we run into issues as that udev is conflicting with
  mkinitrd < 2.7.0
* Wed Oct  2 2013 trenn@suse.de
- Remove Provides/Obsoletes: mkinitrd versioning.
  Simply obsolete and provide all mkinitrd versions.
* Wed Oct  2 2013 mvyskocil@suse.com
- Mark /etc/dracut.conf.d/02-early-microcode.conf as config file
* Wed Sep 25 2013 trenn@suse.de
- Add ACPI table override ability:
    generalize_early_cpio.patch #PATCH-FIX-UPSTREAM
    microcode_cleanup           #PATCH-FIX-UPSTREAM
    acpi_override.patch         #PATCH-FIX-UPSTREAM
- This will replace mkinitrd with dracut as the default initrd generator.
  Therefore Prefer: dracut tag in the project config of the repo is needed.
  Otherwise OSC does not know how to build installation-images
  (needing mkinitrd to build) and which package to take.
-  To switch back and try mkinitrd instead of dracut will be:
    Uninstall dracut:
  - rpm -e dracut --nodeps
    And install mkinitrd again:
  - zypper install mkinitrd
- Adjust mkinitrd-dracut.sh to SUSE mkinitrd:
  <none> : Before gives a "usage" error -> now scans /boot for kernels
    and builds corresponding inirtrds for them
  - i -k  : Pass a list of kernels and initrd targets
    (not sure it was worth the hassle to be able to pass)
  - b     : Boot directory to search for kernel images
  - d     : Change root file system. Not tested whether dracut's behavior
    matches exactly what our mkinitrd does.
  - s     : Dummy (should even be obsolete in latest mkinitrd)
  These patches have been submitted, but now feedback from mainline yet:
    mkinitrd_allow_no_option.patch
    mkinitrd_allow_multiple_args
    quiet_options
    implement_default
    root_fs
    suse_host_only
- Write caller and used parameters to syslog if mkinitrd is called.
  So that those can easily be fixed and checked for correctness.
  This should get reverted again before a bigger release.
    This patch will never show up mainline and should also get reverted
    from SUSE factory repo before the next release shows up:
    suse_only_logger
- Build host only images for default paths in SUSE for faster build and
  smaller images. Imply --force in this case as well.
  * suse_host_only.patch
* Sat Sep 21 2013 crrodriguez@opensuse.org
- save a few seconds on boot by always including the autofs4
  kernel module in the initrd
* Sat Sep 21 2013 crrodriguez@opensuse.org
- dracut 033
- improved hostonly device recognition
- improved hostonly module recognition
- do not install udev rules from /etc in generic mode
- fixed LABEL= parsing for swap devices
- fixed iBFT network setup
- removed caching of kernel cmdline
- bcache: support new blkid
- ifup with dhcp, if no "ip=" specified for the interface
- fixed ifup udev rules
* Mon Sep  9 2013 crrodriguez@opensuse.org
- After testing, we need to correct a major problem, /usr/bin/mount
  most be installed in /bin/mount on the initrd otherwise boot fails.
* Mon Sep  9 2013 crrodriguez@opensuse.org
- version 032
- add parameter --print-cmdline
- dracut now creates the initramfs without udevadm
  that means the udev database does not have to populated
  and the initramfs can be built in a chroot with
  /sys /dev /proc mounted.
- renamed dracut_install() to inst_multiple() for consistent naming
- if $libdirs is unset, fall back to ld.so.cache paths
- always assemble /usr device in initramfs
- bash module added (disable it, if you really want dash)
- continue to boot, if the main loop times out, in systemd mode
- removed inst*() shell pure versions, dracut-install binary is in charge now
- fixed ifcfg file generation for vlan
- do not include adjtime and localtime anymore
- fixed generation of zfcp.conf of CMS setups
- install vt102 terminfo
- dracut_install() is still there for backwards compat
- do not strip files in FIPS mode
- fixed iBFT interface configuration
- fs-lib: install fsck and fsck.ext*
- shutdown: fixed killall_proc_mountpoint()
- network: also wait for ethernet interfaces to setup
- fixed checking for FIPS mode
* Mon Aug  5 2013 crrodriguez@opensuse.org
- version 031_git201308011055
  * systemd: add support for kmod static devnodes
  * crypt: Wait for udev to settle before unlocking disk
  * systemd/dracut-pre-trigger.service: run after systemd-tmpfiles-setup-dev
  * systemd: use systemd in the initramfs, if installed on the system
* Sat Aug  3 2013 tittiatcoke@gmail.com
- Drop the buildrequire for the microcode_ctl. This package
  is no longer in Factory and with the latest kernel (3.11)
  no longer required.
* Sun Jul 28 2013 crrodriguez@opensuse.org
- version 030_git201307241235
  * systemd: Replace prefdm.service with display-manager.service
  * modsign: do not install, if no keys present
  * bcache: add support for bcache
  * Use systemd-cat for logging on systemd systems, if logfile is empty
* Sun Jul 21 2013 tittiatcoke@gmail.com
- Remove the http link for the Source0. Git snapshots can
  not be obtained that way.
* Wed Jul 17 2013 crrodriguez@opensuse.org
- Version 029_git201307171236
  * support early microcode loading in x86
* Thu Jun 27 2013 crrodriguez@opensuse.org
- Require pigz instead of gzip
* Tue Jun 18 2013 crrodriguez@opensuse.org
- version 029
  * fixes for the networking modules
  * fixes for systemd integration
  * fixes for the i18n module (removes dracut-font.patch now upstream)
* Thu Jun  6 2013 crrodriguez@opensuse.org
- version 027_git201306061213
  * setup correct system time and time zone in initrd
  * systemd integration bugfixes
  * lvm bugfixes.
* Wed May  8 2013 crrodriguez@opensuse.org
- Recommend pigz for faster/parallel compression
* Sat Apr 20 2013 crrodriguez@opensuse.org
- Ensure we use display-manager.service instead of prefdm.
* Mon Apr 15 2013 crrodriguez@opensuse.org
- Update to 027_git201304121327
  * much of patch correct-paths-for-opensuse.patch is no longer
  need so it has shrinked significantly.
  * since PRE-027 dracut requires systemd >= 199 reflect that in
  in the rpm buildRequires.
* Wed Apr  3 2013 tittiatcoke@gmail.com
- dracut-027
  * systemd module now requires systemd >= 199
  * dracut makes use of native systemd initrd units
  * added hooks for new-kernel-pkg and kernel-install
  * hostonly is now default for fedora
  * comply with the BootLoaderSpec paths
    http://www.freedesktop.org/wiki/Specifications/BootLoaderSpec
  * added rescue module
  * host_fs_types is now a hashmap
  * new dracut argument "--regenerate-all"
  * new dracut argument "--noimageifnotneeded"
  * new man page dracut.bootup
  * install all host filesystem drivers
  * use -D_FILE_OFFSET_BITS=64 to build dracut-install
* Tue Mar 19 2013 crrodriguez@opensuse.org
- Update to 026_git201303180829
  * bugfixes
  * adds bash completion Support
- Most importantly, fix the (silly) compatibility patch
  that changes the name from initramfs to initrd that went broken
  in last update (all initrds were suffixed by .img)
* Tue Mar 12 2013 crrodriguez@opensuse.org
-  dracut-026
- introduce /usr/lib/dracut/dracut.conf.d/ drop-in directory
  /usr/lib/dracut/dracut.conf.d/*.conf can be overwritten by the same
  filenames in /etc/dracut.conf.d.
  Packages should use /usr/lib/dracut/dracut.conf.d rather than
  /etc/dracut.conf.d for drop-in configuration files.
  /etc/dracut.conf and /etc/dracut.conf.d belong to the system administrator.
- uses systemd-198 native initrd units
- totally rely on the fstab-generator in systemd mode for block devices
- dracut systemd now uses dracut.target rather than basic.target
- dracut systemd services optimize themselves away
- fixed hostonly parameter generation
- turn off curl globbing (fixes IPv6)
- modify the udev rules on install and not runtime time
- enable initramfs building without kernel modules (fixed regression)
- in the initqueue/timeout,
  reset the main loop counter, as we see new udev events or initqueue/work
- fixed udev rule installation
* Fri Feb 22 2013 crrodriguez@opensuse.org
- Update to 025_git201302211113
  * Support out-of-tree and updated drivers in initramfs creation
  * shutdown: call "losetup -D" on shutdown
  * Mount /proc before including dracut-lib.sh.
  * dracut.sh: make /var/log a symlink to /run/log
  * systemd/dracut-pre-pivot.sh: remove /dev/root symlink after shell
  * kernel-modules: Add ehci support for kernel 3.8+
  * Other bugfixes
* Sun Feb  3 2013 crrodriguez@opensuse.org
- BuildRequires: pkgconfig(systemd) so %%{_unitdir} is defined
  and systemd integration works..
* Mon Jan 28 2013 crrodriguez@opensuse.org
- Require modutils instead of module-init-tools.
* Thu Jan 24 2013 hrvoje.senjan@gmail.com
- Update to release 025:
  + do not strip signed kernel modules
  + add sosreport script and generate /run/initramfs/sosreport.txt
  + make short uuid specification for allow-discards work
  + turn off RateLimit for the systemd journal
  + fixed MAC address assignment
  + add systemd checkisomd5 service
  + splitout drm kernel modules from plymouth module
  + add 'swapoff' to initramfs to fix shutdown/reboot
  + add team device support
  + add pre-shutdown hook
  + kill all processes in shutdown and report remaining ones
  + "--device" changed to "--add-device" and "add_device=" added
    for conf files
  + add memory usage trace to different hook points
  + cope with optional field #7 in /proc/self/mountinfo
  + lots of small bugfixes
* Thu Dec  6 2012 crrodriguez@opensuse.org
- dracut wants "strip" installed which is part of binutils
  recommend that package
* Mon Nov  5 2012 tittiatcoke@gmail.com
- Added additional patches to make dracut work in an openSUSE
  environment.
- Added patch (use_all_paths_udev.patch) to use both /usr/lib/udev
  and /lib/udev as long as not all packages migrated.
- Added patch (use_initrd_insteadof_initramfs.patch) to change
  the naming of the generated initrd file to be more openSUSE
- Added patch (use_sysconfig_values_correctly.patch) to read the
  correct keymap value from /etc/sysconfig. (.gz extension)
* Thu Nov  1 2012 tittiatcoke@gmail.com
- Update to release 024:
  + new dracut option "--device"
  + new dracut kernel command line options "rd.auto"
  + new dracut kernel command line options "rd.noverifyssl"
  + new dracut option "--kernel-cmdline" and "kernel_cmdline"
    option for default parameters
  + fixes for systemd and crypto
  + fix for kexec in shutdown, if not included in initramfs
  + create the initramfs non-world readable
  + prelink/preunlink in the initramfs
  + strip binaries in the initramfs by default now
  + various FIPS fixes
  + various dracut-install fixes
- Added patch (correct-paths-for-opensuse.patch) to ensure correct
  paths for openSUSE (Plymouth)
* Fri Sep 28 2012 fcrozat@suse.com
- Add initramfs-non-world-readable.patch: fix CVE-2012-4453
  (bnc#782734).
* Wed Aug  1 2012 fcrozat@suse.com
- Update to release 023:
  + resume from hibernate fixes
  + -N option for --no-hostonly
  + support for systemd crypto handling
  + new dracut module "crypt-loop"
  + deprecate the old kernel command line options
  + more documentation
  + honor CFLAGS for dracut-install build
  + multipath fixes
  + / is mounted according to rootflags parameter but forced ro at
    first. Later it is remounted according to /etc/fstab +
    rootflags parameter and "ro"/"rw".
  + support for xfs / reiserfs separate journal device
  + new "ro_mnt" option to force ro mount of / and /usr
  + root on cifs support
  + dracut-install: fixed issue for /var/tmp containing a symlink
  + only lazy resolve with ldd, if the /var/tmp partition is not
    mounted with "noexec".
  + i18n: fixed inclusion of "include" keymaps
- Drop dracut_makefile_cflags_pass.patch and separate-journal.patch
  (merged upstream)
* Mon Jul 23 2012 fcrozat@suse.com
- Update to release 022:
  + fixed host-only kernel module bug
- Changes from release 021:
  + fixed systemd in the initramfs (requires systemd >= 187)
  + dracut-install: massive speedup with /var on the same
    filesystem with COW copy.
  + dracut-install: moved to /usr/lib/dracut until it becomes a
    general purpose toot
  + new options: "rd.usrmount.ro" and "rd.skipfsck"
  + less mount/umount
  + apply "ro" on the kernel command line also to /usr
  + mount according to fstab, if neither "ro" or "rw" is specified
  + skip fsck for xfs and btrfs. remount is enough
  + give emergency_shell if /usr mount failed
  + dracut now uses getopt:
  - options can be position independent now!!
  - we can now use --option=<arg>
  + added option "--kver=<kernel-version>", and the image location
    can be omitted : dracut --kver 3.5.0-0.rc7.git1.2.fc18.x86_64
  + dracut.sh: for --include copy also the symbolic links
  + man pages: lsinitrd and mkinitrd added
  + network: We do not support renaming in the kernel namespace
    anymore (as udev does that not anymore). So, if a user wants to
    use ifname, he has to rename to a custom namespace. "eth[0-9]+"
    is not allowed anymore.
  + resume: moved the resume process to the initqueue.
    This should prevent accidently mounting the root file system.
  + improve running testsuite
- Clean up package to be openSUSE only package and follow openSUSE
  standard.
- Add dracut module to convert openSUSE/SLE initrd cmdline
  parameters into dracut parameters at boot time.
- Add separate-journal.patch: add support for separate journal for
  reiserfs and XFS.
* Thu Jul 12 2012 trenn@suse.de
- First check in of version 020
- Fix Makefile so that make -e CFLAGS="$RPM_OPT_FLAGS" can be passed
- Remove Requires on libcap
- some more changes, most sent mainline
